set CMSDK_QSPI_BASE           0x4000f000
set CMSDK_QSPI_TRANSACTION_SETUP [expr $CMSDK_QSPI_BASE + 0x0]
set CMSDK_QSPI_TRANSACTION_SETUP_SAMPLE_DIN__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_DOUT_0_CTRL__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_DOUT_1_CTRL__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_DOUT_2_CTRL__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_DOUT_3_CTRL__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_CLK_VAL__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_CSN_VAL__RESET_VALUE 0x00000001
set CMSDK_QSPI_TRANSACTION_SETUP_REMOTE_AHB_QSPI_HAS_CONTROL__RESET_VALUE 0x00000000
set CMSDK_QSPI_TRANSACTION_SETUP_REMOTE_SPI_HAS_CONTROL__RESET_VALUE 0x00000001
set CMSDK_QSPI_TRANSACTION_SETUP__RESET_VALUE 0x22000000
set CMSDK_QSPI_READ_DATA [expr $CMSDK_QSPI_BASE + 0x4]
set CMSDK_QSPI_READ_DATA_RDATA__RESET_VALUE 0x00000000
set CMSDK_QSPI_READ_DATA__RESET_VALUE 0x00000000
set CMSDK_QSPI_OVERRIDE_DIN [expr $CMSDK_QSPI_BASE + 0x8]
set CMSDK_QSPI_OVERRIDE_DIN_DIN_OVERRIDE_VAL__RESET_VALUE 0x00000000
set CMSDK_QSPI_OVERRIDE_DIN_OVERRIDE_DIN__RESET_VALUE 0x00000000
set CMSDK_QSPI_OVERRIDE_DIN__RESET_VALUE 0x00000000
set CMSDK_QSPI_MODE [expr $CMSDK_QSPI_BASE + 0xc]
set CMSDK_QSPI_MODE_IS_DUAL__RESET_VALUE 0x00000000
set CMSDK_QSPI_MODE_IS_QUAD__RESET_VALUE 0x00000001
set CMSDK_QSPI_MODE__RESET_VALUE 0x00000002
set CMSDK_QSPI_REMOTE_AHB_SETUP [expr $CMSDK_QSPI_BASE + 0x10]
set CMSDK_QSPI_REMOTE_AHB_SETUP_DUMMY_CYCLES__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_MODE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_IS_OPCODE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_OPCODE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_CLKDIVSEL__RESET_VALUE 0x00000003
set CMSDK_QSPI_REMOTE_AHB_SETUP_RDATA_BYTE_SWAP__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_IS_MACRONIX__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_WDATA_BYTE_SWAP__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_WDATA_HALFWORD_SWAP__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_WDATA_WORD_SWAP__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_ENABLE_CLOCKS__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_ENABLE_CACHE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_ENABLE_FINE_CLOCK_GATING__RESET_VALUE 0x00000001
set CMSDK_QSPI_REMOTE_AHB_SETUP_INVALIDATE_ENTIRE_CACHE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_SERIALIZE_PP_ADDRESS__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_SKEW_CSN_ACT_WEN__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_HYPER__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_SLIP_HALF_CYCLE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP__RESET_VALUE 0x02030000
set CMSDK_QSPI_REMOTE_AHB_SETUP_2 [expr $CMSDK_QSPI_BASE + 0x14]
set CMSDK_QSPI_REMOTE_AHB_SETUP_2_OPCODE_WE__RESET_VALUE 0x00000006
set CMSDK_QSPI_REMOTE_AHB_SETUP_2_OPCODE_PP__RESET_VALUE 0x00000002
set CMSDK_QSPI_REMOTE_AHB_SETUP_2_OPCODE_WIP__RESET_VALUE 0x00000005
set CMSDK_QSPI_REMOTE_AHB_SETUP_2_OPCODE_SE__RESET_VALUE 0x00000020
set CMSDK_QSPI_REMOTE_AHB_SETUP_2__RESET_VALUE 0x20050206
set CMSDK_QSPI_REMOTE_AHB_SETUP_3 [expr $CMSDK_QSPI_BASE + 0x18]
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_ENABLE_PERFORMANCE_MODE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_EXPM__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_WLE_POLARITY__RESET_VALUE 0x00000001
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_WLE_BIT__RESET_VALUE 0x00000001
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_WIP_POLARITY__RESET_VALUE 0x00000001
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_WIP_BIT__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_3_CHECK_WLE__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_3__RESET_VALUE 0x01300000
set CMSDK_QSPI_REMOTE_AHB_SETUP_4 [expr $CMSDK_QSPI_BASE + 0x1c]
set CMSDK_QSPI_REMOTE_AHB_SETUP_4_INVERT_ADDR__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_4__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_SETUP_5 [expr $CMSDK_QSPI_BASE + 0x20]
set CMSDK_QSPI_REMOTE_AHB_SETUP_5_PP_STALL_WIP__RESET_VALUE 0x00000200
set CMSDK_QSPI_REMOTE_AHB_SETUP_5_STALL_WLE__RESET_VALUE 0x00000020
set CMSDK_QSPI_REMOTE_AHB_SETUP_5_STALL_WE2PP__RESET_VALUE 0x00000020
set CMSDK_QSPI_REMOTE_AHB_SETUP_5__RESET_VALUE 0x02008200
set CMSDK_QSPI_REMOTE_AHB_SETUP_6 [expr $CMSDK_QSPI_BASE + 0x24]
set CMSDK_QSPI_REMOTE_AHB_SETUP_6_SE_STALL_WIP__RESET_VALUE 0x00001fff
set CMSDK_QSPI_REMOTE_AHB_SETUP_6__RESET_VALUE 0x00001fff
set CMSDK_QSPI_REMOTE_AHB_WLE_CNT [expr $CMSDK_QSPI_BASE + 0x28]
set CMSDK_QSPI_REMOTE_AHB_WLE_CNT_WLE_CNT__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_WLE_CNT__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_WIP_CNT [expr $CMSDK_QSPI_BASE + 0x2c]
set CMSDK_QSPI_REMOTE_AHB_WIP_CNT_WIP_CNT__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_WIP_CNT__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_DBG0 [expr $CMSDK_QSPI_BASE + 0x30]
set CMSDK_QSPI_REMOTE_AHB_DBG0_DBG0__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_DBG0__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_DBG1 [expr $CMSDK_QSPI_BASE + 0x34]
set CMSDK_QSPI_REMOTE_AHB_DBG1_DBG1__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_DBG1__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_DBG2 [expr $CMSDK_QSPI_BASE + 0x38]
set CMSDK_QSPI_REMOTE_AHB_DBG2_DBG2__RESET_VALUE 0x00000000
set CMSDK_QSPI_REMOTE_AHB_DBG2__RESET_VALUE 0x00000000
set CMSDK_QSPI_CORE_ID [expr $CMSDK_QSPI_BASE + 0xffc]
set CMSDK_QSPI_CORE_ID_ID__RESET_VALUE 0x51535049
set CMSDK_QSPI_CORE_ID__RESET_VALUE 0x51535049
